Branch: null

3eaf4237 2010-03-01 12:47:14 tpearson
Added my SmartCard login/session lock/unlock utility


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1097604 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
A Makefile
A build_ckpasswd
A debian/changelog
A debian/compat
A debian/control
A debian/dirs
A debian/rules
A debian/smartcardauth.postinst
A etc/init/smartauthlogin.conf
A etc/smartauth/smartauth.sh.in
A etc/smartauth/smartauthmon.sh.in
A gpl.txt
A include/inn/buffer.h
A include/inn/confparse.h
A include/inn/defines.h
A include/inn/hashtab.h
A include/inn/history.h
A include/inn/innconf.h
A include/inn/list.h
A include/inn/md5.h
A include/inn/messages.h
A include/inn/mmap.h
A include/inn/qio.h
A include/inn/sequence.h
A include/inn/timer.h
A include/inn/tst.h
A include/inn/vector.h
A include/inn/wire.h
A scriptor_standalone.pl
A src/Makefile
A src/ckpasswd.c
A src/messages.c
A src/xmalloc.c
A usr/bin/cryptosmartcard.sh
A usr/bin/setupcard.sh
A usr/bin/setupslavecard.sh
A usr/bin/smartauth.sh
A usr/share/applications/smartcardauth.desktop
A usr/share/applications/smartcardrestrict.desktop
A usr/share/icons/hicolor/16x16/apps/smartcardauth.png
A usr/share/icons/hicolor/32x32/apps/smartcardauth.png
A usr/share/initramfs-tools/hooks/cryptlukssc
diff --git a/Makefile b/Makefile
new file mode 100755
index 0000000..236a57a
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,21 @@
+FPACKAGE = smartcardauth
+VERSION = 1.0
+
+build:
+
+clean:
+
+install:
+	sed -i "s#scriptor#scriptor_standalone#g" scriptor_standalone.pl
+	/usr/bin/pp -a /usr/lib/perl5/Chipcard -a /usr/lib/perl5/Chipcard -o scriptor_standalone scriptor_standalone.pl
+	rm scriptor_standalone.pl
+	mv scriptor_standalone usr/bin/scriptor_standalone
+
+	./build_ckpasswd
+
+	mkdir -p $(DESTDIR)/usr
+	cp -Rp src/ckpasswd usr/bin/smartauthckpasswd
+	cp -Rp usr/*  $(DESTDIR)/usr/
+
+	mkdir -p $(DESTDIR)/etc
+	cp -Rp etc/*  $(DESTDIR)/etc/
diff --git a/build_ckpasswd b/build_ckpasswd
new file mode 100755
index 0000000..b354c1f
--- /dev/null
+++ b/build_ckpasswd
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+cd src/
+make
+cd .. 
diff --git a/debian/changelog b/debian/changelog
new file mode 100755
index 0000000..e598f5f
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+smartcardauth (1.0-3ubuntu5) karmic; urgency=low
+
+  * Karmic build
+
+ -- Timothy Pearson <kb9vqf@...>  Thu, 23 July 2009 10:42:00 -0600
diff --git a/debian/compat b/debian/compat
new file mode 100755
index 0000000..7ed6ff8
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+5
diff --git a/debian/control b/debian/control
new file mode 100755
index 0000000..fda6725
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,23 @@
+Source: smartcardauth
+Section: kde
+Priority: extra
+Maintainer: Timothy Pearson <kb9vqf@...>
+Uploaders: Timothy Pearson <kb9vqf@...>
+Build-Depends: debhelper (>=5.0), cdbs, pcsc-tools, pcscd-nodbus, initramfs-tools, libpcsc-perl, libpcsclite1, libccid, opensc, libpar-packer-perl, libdb4.7-dev, libpam0g-dev, libssl-dev, libkrb5-dev
+Standards-Version: 3.8.2
+
+Package: smartcardauth
+Architecture: any
+Depends: pcsc-tools, pcscd-nodbus, initramfs-tools, libpcsc-perl, libpcsclite1, libccid, opensc, zenity, gksu
+Conflicts: openct
+Description: SmartCard Login and LUKS Decrypt, Setup Utility
+ This utility will allow you to set up your computer to accept a SmartCard as an authentication source for:
+ - Your encrypted LUKS partition
+ - KDE3.5, including automatic login, lock, and unlock features
+ It is designed to work with any ISO 7816-1,2,3,4 compliant smartcard
+ Examples of such cards are:
+ - The Schlumberger MultiFlex
+ - The ACS ACOS5 / ACOS6 series of cryptographic ISO 7816 cards
+ If a card is chosen that has PKSC support, such as the ACOS cards, this utility can run
+ simultaneously with the certificate reading program(s) to provide single sign on
+ in addition to the PKCS certificate functionality
diff --git a/debian/dirs b/debian/dirs
new file mode 100755
index 0000000..73752c9
--- /dev/null
+++ b/debian/dirs
@@ -0,0 +1 @@
+usr
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..a9e7e66
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,11 @@
+#!/usr/bin/make -f
+include /usr/share/cdbs/1/class/makefile.mk
+include /usr/share/cdbs/1/rules/debhelper.mk
+
+DEB_BUILD_OPTIONS := nostrip
+export DEB_BUILD_OPTIONS = debug nostrip
+
+CFLAGS=-g -Wall -fPIC
+
+DEB_MAKE_INSTALL_TARGET := install DESTDIR="$(DEB_DESTDIR)"
+DEB_INSTALL_DOCS_ALL :=
diff --git a/debian/smartcardauth.postinst b/debian/smartcardauth.postinst
new file mode 100755
index 0000000..842e001
--- /dev/null
+++ b/debian/smartcardauth.postinst
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+if [[ $1 = "configure" ]]; then
+	/usr/bin/setupcard.sh upgrade
+fi
+
+
diff --git a/etc/init/smartauthlogin.conf b/etc/init/smartauthlogin.conf
new file mode 100755
index 0000000..89852d5
--- /dev/null
+++ b/etc/init/smartauthlogin.conf
@@ -0,0 +1,14 @@
+# smartauthlogin - smart card login manager
+#
+
+description	"smart card login monitor"
+
+start on (filesystem
+	  and started kdm-kde3)
+stop on stopping kdm-kde3
+
+script
+	if [ -e /usr/bin/smartauthmon.sh ]; then
+		/usr/bin/smartauthmon.sh
+	fi
+end script
diff --git a/etc/smartauth/smartauth.sh.in b/etc/smartauth/smartauth.sh.in
new file mode 100644
index 0000000..92a9c56
--- /dev/null
+++ b/etc/smartauth/smartauth.sh.in
@@ -0,0 +1,177 @@
+#!/bin/bash
+
+# Smart Card Authentication Helper (c) 2009 Timothy Pearson
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+get_file () {
+	if [[ $COMMAND_MODE == "acos" ]]; then
+		# Select EF $1 under DF 1000
+		echo "$SELECT_FILE $1" > query
+		scriptor_standalone query 1> response2
+		echo $(cat response2)
+
+		# Read binary
+		echo "$READ_BINARY" > query
+		scriptor_standalone query 1> response2
+		authokresponse="90 00 : Normal processing"
+		response1=$(cat response2 | grep "$authokresponse")
+		if [[ $response1 != "" ]]; then
+			cat response2 | tr -d '\n' > response4
+			stringtoreplace="Using T=0 protocol00 B0 00 00 FF> 00 B0 00 00 FF< "
+			newstring=""
+			sed -i "s#${stringtoreplace}#${newstring}#g" response4
+			stringtoreplace=" 90 00 : Normal processing."
+			newstring=""
+			sed -i "s#${stringtoreplace}#${newstring}#g" response4
+			if [[ $2 == "text" ]]; then
+				stringtoreplace=" 00"
+				newstring=""
+				sed -i "s#${stringtoreplace}#${newstring}#g" response4
+			fi
+			echo $(cat response4)
+			rm -f lukskey
+			xxd -r -p response4 lukskey
+			RESPONSE=lukskey
+		fi
+	fi
+
+	if [[ $COMMAND_MODE == "cryptoflex" ]]; then
+		echo "get $1" | opensc-explorer
+		RESPONSE="3F00_$1"
+	fi
+}
+
+# Initialize pcscd
+killall pcscd &
+sleep 1
+pcscd &
+sleep 1
+
+# Get card ATR
+echo "RESET" > query
+scriptor_standalone query 1> response2
+authokresponse="OK: "
+response1=$(cat response2 | grep "$authokresponse")
+if [[ $response1 != "" ]]; then
+	cat response2 | tr -d '\n' > response4
+	stringtoreplace="Using T=0 protocolRESET> RESET< OK: "
+	newstring=""
+	sed -i "s#${stringtoreplace}#${newstring}#g" response4
+	smartatr=$(cat response4)
+	echo "Got ATR: $smartatr"
+	if [[ $smartatr == "3B BE 18 00 00 41 05 10 00 00 00 00 00 00 00 00 00 90 00 " ]]; then
+		echo "Detected ACOS5 card"
+		COMMAND_MODE="acos"
+	fi
+	if [[ $smartatr == "3B 02 14 50 " ]]; then
+		echo "Detected Schlumberger CryptoFlex card"
+		COMMAND_MODE="cryptoflex"
+	fi
+else
+	echo "No card detected!"
+	exit 1
+fi
+
+if [[ $COMMAND_MODE == "cryptoflex" ]]; then
+	GET_CHALLENGE="C0 84 00 00 08"
+	EXTERNAL_AUTH="C0 82 00 00 07 01"
+	SELECT_FILE="C0 A4 00 00 02"
+	DELETE_FILE="F0 E4 00 00 02"
+fi
+
+if [[ $COMMAND_MODE == "acos" ]]; then
+	GET_CHALLENGE="00 84 00 00 08"
+	EXTERNAL_AUTH="00 82 00 83 08"		# Key 3
+	SELECT_FILE="00 A4 00 00 02"
+	DELETE_FILE="00 E4 00 00 00"
+	READ_BINARY="00 B0 00 00 FF"
+	UPDATE_BINARY="00 D6 00 00 FF"
 ** Diff limit reached (max: 250 lines) **
73aeab3b 2010-04-07 12:06:20 tpearson
Updated to show status on screen while logging in or during authentication failure


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1112244 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M etc/smartauth/smartauthmon.sh.in
 ** Diff limit reached (max: 250 lines) **
80d75cea 2010-04-13 20:40:12 tpearson
Hopefully fixed screensaver start while logged in problem


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1114577 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M etc/smartauth/smartauthmon.sh.in
 ** Diff limit reached (max: 250 lines) **
3016f6cc 2010-04-19 14:06:41 tpearson
Added Plymouth support


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1116551 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M usr/bin/cryptosmartcard.sh
 ** Diff limit reached (max: 250 lines) **
cee4f171 2010-10-02 16:23:23 tpearson
Fix initramfs build failure


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1181973 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M usr/share/initramfs-tools/hooks/cryptlukssc
 ** Diff limit reached (max: 250 lines) **
ad7eff7d 2011-08-15 19:35:13 tpearson
Fix smartcardauth script for new kdm versions and new installation path


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1247447 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M etc/smartauth/smartauthmon.sh.in
 ** Diff limit reached (max: 250 lines) **
0d92b905 2011-08-20 20:43:11 tpearson
Convert remaining references to kde3 (e.g. in paths) to trinity


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1248408 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M etc/init/smartauthlogin.conf
 ** Diff limit reached (max: 250 lines) **
3a3ed0cd 2011-09-20 02:18:56 tpearson
Add an initial C++ port of the smartauthmon script to smartcardauth
This still relies heavily on system calls, but is already faster and has the potential to be more secure


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254556 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
A src/smartauthmon.cpp
M src/Makefile
 ** Diff limit reached (max: 250 lines) **
125b13c1 2011-09-20 02:20:27 tpearson
Deactivate the new smartauthmon C++ file by default


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254557 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/Makefile
 ** Diff limit reached (max: 250 lines) **
32b6f4c4 2011-09-20 15:01:11 tpearson
Use new smartauthmon C++ program instead of the old bash script for smartcard authentication
This plugs several possible security holes


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254687 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
A src/ckpass.c
M debian/control
M etc/init/smartauthlogin.conf
M src/Makefile
M src/ckpasswd.c
M src/smartauthmon.cpp
M usr/bin/setupcard.sh
M usr/bin/setupslavecard.sh
 ** Diff limit reached (max: 250 lines) **
099f1b59 2011-09-20 17:57:21 tpearson
Fix smartauthmon installation failure
Fixm cryptluks initrd setup on multiarch systems


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254703 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M Makefile
M usr/share/initramfs-tools/hooks/cryptlukssc
 ** Diff limit reached (max: 250 lines) **
b45baead 2011-09-20 18:01:53 tpearson
Remove debian directory from smartcardauth


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254704 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
R debian/changelog
R debian/compat
R debian/control
R debian/dirs
R debian/rules
R debian/smartcardauth.postinst
 ** Diff limit reached (max: 250 lines) **
805920ff 2011-09-20 18:23:28 tpearson
Correct the update-initramfs syntax in smartcardauth


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254705 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M usr/bin/setupcard.sh
M usr/bin/setupslavecard.sh
 ** Diff limit reached (max: 250 lines) **
fcf6f563 2011-09-20 18:47:48 tpearson
Fix smartcardauth initramfs with new pcscd


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254707 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M usr/share/initramfs-tools/hooks/cryptlukssc
 ** Diff limit reached (max: 250 lines) **
658c57f0 2011-09-20 22:33:28 tpearson
Fix ACOS card handling problrm


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254715 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
4cef0073 2011-09-20 22:48:49 tpearson
Add libusb to initrd for smartcardauth for pcscd


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254716 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M usr/share/initramfs-tools/hooks/cryptlukssc
 ** Diff limit reached (max: 250 lines) **
08211e05 2011-09-21 01:09:09 tpearson
Fix some smartautmon issues with ACOS cards


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254718 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
21471656 2011-09-21 02:55:44 tpearson
Enhance smartauthmon VT detection on login


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254814 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
A src/smartauth_displayfinder
M Makefile
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
38f40eb1 2011-09-21 16:23:46 tpearson
Make smartauthlogin less dependent on Debian/Ubuntu


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254874 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
1e59465c 2011-09-21 19:49:06 tpearson
Fix smartauthmon memory corruption due to undersized buffer


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1254885 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
cbe66c29 2011-09-22 14:47:58 tpearson
Make smartauthmon use new kdm control sockets
This stabilizes login with smart cards on finicky Xorg servers


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1255016 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M Makefile
M src/smartauthmon.cpp
R src/smartauth_displayfinder
 ** Diff limit reached (max: 250 lines) **
7358410e 2011-09-23 00:20:41 tpearson
Automatically switch to activating terminal on login with smartcardauth


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1255034 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
2be53f68 2011-10-17 01:57:59 tpearson
Fix smartcardauth FTBFS under oneiric


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1259275 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/Makefile
 ** Diff limit reached (max: 250 lines) **
6cbb68bb 2011-10-23 19:06:26 tpearson
Attempt to fix failure to logon if smart card is inserted during system startup


git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/smartcardauth@1260425 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
6bfd1943 2011-11-04 16:49:49 Timothy Pearson
Added common directories
A .gitmodules
A admin
A cmake
 ** Diff limit reached (max: 250 lines) **
ce3ad7c9 2011-11-05 22:17:20 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
549d1dfd 2011-11-06 02:39:52 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
f361f40f 2011-11-06 02:39:53 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
e4d21b1f 2011-11-06 16:46:47 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
eaf0ff3e 2011-11-06 21:58:16 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
744d4a61 2011-11-08 01:33:16 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
867cf0de 2011-11-16 14:13:05 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
c37118a6 2011-11-16 14:13:06 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
d5a9c92e 2011-11-18 02:40:45 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
6c99c73b 2011-11-26 12:58:54 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
34f37afb 2011-11-28 02:26:45 Timothy Pearson
Fix FTBFS
M .gitmodules
M src/Makefile
 ** Diff limit reached (max: 250 lines) **
1c060e3f 2011-11-28 02:26:54 Timothy Pearson
Merge branch 'master' of http://scm.trinitydesktop.org/scm/git/smartcardauth
M admin
 ** Diff limit reached (max: 250 lines) **
09ae4ac7 2011-11-28 12:05:26 Timothy Pearson
Fix FTBFS on oneiric
Note that this now only compiles on native TQt3
M src/Makefile
 ** Diff limit reached (max: 250 lines) **
8507c84f 2011-12-03 21:42:03 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
21e039e3 2011-12-07 22:49:58 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
a811c796 2011-12-15 15:33:49 Timothy Pearson
Rename a number of old tq methods that are no longer tq specific
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
f37be372 2011-12-16 09:57:39 Timothy Pearson
Revert "Rename a number of old tq methods that are no longer tq specific"

This reverts commit a811c7963013f85cd001499f88e85338eff06a4e.
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
afe3f974 2011-12-19 11:40:50 Timothy Pearson
Remove additional unneeded tq method conversions
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
271e6815 2012-01-01 02:07:49 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
95f3e0d4 2012-01-02 10:36:17 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
3f0da3b6 2012-01-20 00:21:03 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
264c6117 2012-01-22 00:15:07 Timothy Pearson
Part 1 of 2 of kdm rename
M etc/init/smartauthlogin.conf
M etc/smartauth/smartauthmon.sh.in
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
08dd8170 2012-01-30 12:03:16 Timothy Pearson
Rename ksocket and kcache
M etc/smartauth/smartauthmon.sh.in
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
39dc8c33 2012-02-01 15:26:50 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
5c257534 2012-02-02 02:18:41 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
0c2aeb1a 2012-02-02 15:59:03 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
1b14ff22 2012-02-07 18:43:52 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
62c16aee 2012-02-10 14:50:09 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
9f120fde 2012-02-11 15:41:57 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
222c20e5 2012-02-11 15:41:59 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
7422cf27 2012-02-12 16:14:03 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
ae17bc93 2012-02-14 22:30:28 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
590e1240 2012-02-16 19:03:39 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
eb38734a 2012-02-19 17:57:41 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
57ecfca7 2012-02-25 18:56:09 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
f879dbf8 2012-02-26 15:08:21 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
2eb4c2e6 2012-02-26 15:08:25 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
6562043d 2012-03-06 01:59:56 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
5ec52a4e 2012-03-06 14:17:29 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
e2c55de9 2012-03-13 01:49:28 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
df8e269d 2012-03-26 17:46:00 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
6887b010 2012-04-11 00:01:05 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
d2463f1c 2012-04-11 00:01:07 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
b40e2b25 2012-04-14 16:31:27 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
602e262c 2012-05-14 18:31:04 Timothy Pearson
Fix initramfs hook problems on multiarch
M usr/share/initramfs-tools/hooks/cryptlukssc
 ** Diff limit reached (max: 250 lines) **
e5579dab 2012-05-19 01:13:44 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
181b7c23 2012-06-08 16:33:52 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
2636bb2f 2012-06-08 16:33:54 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
44e1fc75 2012-06-08 17:38:19 Darrell Anderson
Update XDG information in support of bug report 892.
M admin
M cmake
M usr/share/applications/smartcardauth.desktop
M usr/share/applications/smartcardrestrict.desktop
 ** Diff limit reached (max: 250 lines) **
0e82ee64 2012-06-08 17:51:16 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
7a5a35a0 2012-06-08 17:51:18 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
9f7172e0 2012-06-12 19:27:14 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
fef6aa26 2012-06-14 03:49:20 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
e3dda8a3 2012-06-15 10:39:32 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
791e77af 2012-06-19 18:35:15 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
9de24516 2012-06-21 22:13:55 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
16fc6772 2012-08-07 03:57:05 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
1deb7965 2012-09-10 03:35:02 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
2d48b7cf 2012-09-14 21:09:05 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
c3b6defe 2012-10-31 17:42:35 Slávek Banko
Fix FTBFS
Thanks to Francois Andriot
M src/ckpasswd.c
 ** Diff limit reached (max: 250 lines) **
9bd6df7a 2012-11-20 01:19:00 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
bda9fb94 2012-11-20 01:19:05 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
cab8f382 2012-11-27 09:54:45 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
9a99526e 2012-11-27 09:54:49 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
57130465 2013-01-20 00:47:18 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
99006079 2013-01-22 22:45:40 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
59199fd7 2013-01-26 16:48:11 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
45f67a95 2013-01-27 03:21:15 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
22839607 2013-01-27 03:21:18 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
6821a1a4 2013-01-27 20:58:54 Timothy Pearson
Rename kiobuffer and KHTML
M cmake
 ** Diff limit reached (max: 250 lines) **
ac1721a4 2013-01-28 10:22:24 Timothy Pearson
Fix up remaining references to -lkio
M admin
 ** Diff limit reached (max: 250 lines) **
2e4718a0 2013-01-30 01:51:42 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
c8c6d363 2013-02-11 03:14:06 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
8b964cb5 2013-02-16 01:59:55 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
f7398d5b 2013-02-16 01:59:59 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
5cdfa225 2013-02-16 15:30:13 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
2c337c58 2013-02-18 15:30:27 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
b4ded56b 2013-02-18 23:10:24 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
ac2af4e9 2013-02-20 17:10:52 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
96c6377d 2013-02-21 13:59:07 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
742c69ab 2013-02-21 13:59:10 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
ee832586 2013-04-01 08:15:12 Slávek Banko
Fix FTBFS due to missing link to stdc++
M src/Makefile
 ** Diff limit reached (max: 250 lines) **
5d586aea 2013-04-18 18:45:49 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
79995097 2013-05-06 20:01:17 Darrell Anderson
Cleanup output clutter.
M src/smartauthmon.cpp
 ** Diff limit reached (max: 250 lines) **
669f8b31 2013-05-23 20:19:30 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
e7630316 2013-08-27 17:42:11 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
3c0dda55 2013-08-29 18:45:52 Slávek Banko
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
eb48ebb6 2013-09-03 13:05:46 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
241a7cb4 2013-09-15 07:57:57 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
55ac10a0 2013-09-15 07:57:59 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
d1267cd9 2013-12-23 06:11:31 Slávek Banko
Rename kdewidgets => tdewidgets
M admin
M cmake
 ** Diff limit reached (max: 250 lines) **
a8203524 2014-03-27 03:01:44 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
ba3a0643 2014-03-27 03:01:47 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
edd183df 2014-03-27 05:28:29 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
1b00a15b 2014-03-28 21:16:34 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
de5bc203 2014-04-16 22:23:20 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
84c8263e 2014-05-26 19:12:28 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
7df1147b 2014-05-26 21:01:19 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
3879a3b5 2014-06-14 21:27:16 Timothy Pearson
Fix initramfs build failure when multiarch libraries are installed
M usr/share/initramfs-tools/hooks/cryptlukssc
 ** Diff limit reached (max: 250 lines) **
1456dd32 2014-09-14 17:44:04 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
0f6e6758 2014-09-24 12:10:43 Slávek Banko
Fix remaining renaming knewstuff
M admin
 ** Diff limit reached (max: 250 lines) **
b94dea04 2014-09-28 22:37:10 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **
a82f486a 2014-09-29 11:04:22 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
390d393a 2014-10-12 12:11:24 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
3394d675 2014-10-13 18:12:43 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
28325391 2014-10-14 12:39:56 Automated System
Reset submodule main/applications/smartcardauth/cmake to latest HEAD
M cmake
 ** Diff limit reached (max: 250 lines) **
a12dbf07 2014-10-19 22:26:37 Automated System
Reset submodule main/applications/smartcardauth/admin to latest HEAD
M admin
 ** Diff limit reached (max: 250 lines) **